Conll03NameSampleStream.LANGUAGE (Apache OpenNLP :: Core :: Formats 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.formats, class: Conll03NameSampleStream, enum: LANGUAGE

Package opennlp.tools.formats

# Enum Class Conll03NameSampleStream.LANGUAGE

java.lang.Object
java.lang.Enum<Conll03NameSampleStream.LANGUAGE>
opennlp.tools.formats.Conll03NameSampleStream.LANGUAGE

All Implemented Interfaces:
  `Serializable`, `Comparable<Conll03NameSampleStream.LANGUAGE>`, `Constable`

Enclosing class:
  `Conll03NameSampleStream`

public static enum Conll03NameSampleStream.LANGUAGE extends Enum<Conll03NameSampleStream.LANGUAGE>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DE`
  `EN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Conll03NameSampleStream.LANGUAGE`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Conll03NameSampleStream.LANGUAGE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EN

    public static final Conll03NameSampleStream.LANGUAGE EN

  - ### DE

    public static final Conll03NameSampleStream.LANGUAGE DE

- ## Method Details

  - ### values

    public static Conll03NameSampleStream.LANGUAGE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Conll03NameSampleStream.LANGUAGE valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null